Name:		smem
Version:	1.5
Release:	%mkrel 5
Summary:	Memory reporting tool
Group:		Monitoring
License:	GPLv2+
URL:		https://www.selenic.com/%{name}/
# version 1.5 created from tag 1.5 at
# https://selenic.com/repo/smem/rev/1.5
Source0:	https://www.selenic.com/%{name}/download/%{name}-%{version}.tar.xz
Patch0:		smem-1.5-python3path.patch
Requires:	python3
Requires:	python3dist(matplotlib)
BuildArch:	noarch

%description
smem is a tool that can give numerous reports on memory usage on Linux systems.
Unlike existing tools, smem can report proportional set size (PSS), which is a
more meaningful representation of the amount of memory used by libraries and
applications in a virtual memory system.

%prep
%setup -q
%autopatch -p1

%build

%install
install -D %{name} %{buildroot}%{_bindir}/%{name}
install -D %{name}.8 -m 0644 %{buildroot}%{_mandir}/man8/%{name}.8

%files
%doc COPYING
%{_bindir}/%{name}
%{_mandir}/man?/%{name}.?.*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.5-5.mga9
+ Revision: 1811920
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 1.5-4.mga8
+ Revision: 1533968
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 1.5-3.mga8
+ Revision: 1446178
- rebuild for python3.8

* Fri Sep 21 2018 umeabot <umeabot> 1.5-2.mga7
+ Revision: 1291488
- Mageia 7 Mass Rebuild

* Tue Sep 11 2018 daviddavid <daviddavid> 1.5-1.mga7
+ Revision: 1258276
- new version: 1.5 (tagged release)
- switch to python 3

* Mon Feb 08 2016 umeabot <umeabot> 1.4-4.mga6
+ Revision: 944592
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4-3.mga5
+ Revision: 738969
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-2.mga5
+ Revision: 689209
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 dams <dams> 1.4-1.mga5
+ Revision: 592452
- new version 1.4

* Sat Oct 19 2013 umeabot <umeabot> 1.3-3.mga4
+ Revision: 528451
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 danf <danf> 1.3-2.mga4
+ Revision: 444215
- Added man page to package

* Sat Jun 01 2013 malo <malo> 1.3-1.mga4
+ Revision: 434102
- update to 1.3

* Mon Jan 14 2013 umeabot <umeabot> 1.2-2.mga3
+ Revision: 382201
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 malo <malo> 1.2-1.mga3
+ Revision: 318353
- update to 1.2

* Thu Mar 01 2012 malo <malo> 1.0-1.mga2
+ Revision: 216370
- update to version 1.0 (patch by Jeff Robins)
- spec clean-up after import from Mandriva (patch by Jeff Robins)
- imported package smem


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9-2mdv2011.0
+ Revision: 614919
- the mass rebuild of 2010.1 packages

* Fri Nov 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.9-1mdv2010.1
+ Revision: 465686
- new version

* Sat May 23 2009 Andrey Borzenkov <arvidjaar@mandriva.org> 0.1-1mdv2010.0
+ Revision: 378992
- initial release
- import smem


